Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.i2p.i2ptunnel
Class I2PTunnelHTTPBidirProxy

    java.lang.Object
      net.i2p.i2ptunnel.I2PTunnelTask
          net.i2p.i2ptunnel.I2PTunnelClientBase
              net.i2p.i2ptunnel.I2PTunnelHTTPClient
                  net.i2p.i2ptunnel.I2PTunnelHTTPBidirProxy

All Implemented Interfaces:
  Runnable, EventDispatcher

    public class I2PTunnelHTTPBidirProxy

extends I2PTunnelHTTPClient
implements Runnable

Reuse HTTP server's I2PSocketManager for a proxy with no outproxy capability.

Author:
  sponge

Field Summary

Fields inherited from class net.i2p.i2ptunnel.I2PTunnelHTTPClient
`PROP_JUMP_SERVERS, PROP_REFERER, PROP_USER_AGENT, PROP_VIA, proxyList`

Fields inherited from class net.i2p.i2ptunnel.I2PTunnelClientBase
`_clientId, _context, _ownDest, _waitingSockets, DEFAULT_CONNECT_TIMEOUT, dest, l, mySockets, PROP_MAX_WAIT_TIME, PROP_NUM_CONNECTION_BUILDERS, sockLock, sockMgr`

Fields inherited from class net.i2p.i2ptunnel.I2PTunnelTask
`open`

Constructor Summary
`I2PTunnelHTTPBidirProxy(int localPort, Logging l, I2PSocketManager sockMgr, I2PTunnel tunnel, EventDispatcher notifyThis, long clientId)`

Method Summary

Methods inherited from class net.i2p.i2ptunnel.I2PTunnelHTTPClient
`_, _, clientConnectionRun, close, getDefaultOptions, getDefaultOptions, startRunning`

Methods inherited from class net.i2p.i2ptunnel.I2PTunnelClientBase
`buildSocketManager, buildSocketManager, buildSocketManager, closeSocket, createI2PSocket, createI2PSocket, getListenHost, getLocalPort, getSocketManager, getSocketManager, getSocketManager, manageConnection, run, verifySocketManager`

Methods inherited from class net.i2p.i2ptunnel.I2PTunnelTask
`attachEventDispatcher, detachEventDispatcher, disconnected, errorOccurred, getEventDispatcher, getEvents, getEventValue, getId, getTunnel, ignoreEvents, isOpen, notifyEvent, reportAbuse, routerDisconnected, setId, setName, setTunnel, toString, unIgnoreEvents, waitEventValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.lang.Runnable
`run`

Constructor Detail

### I2PTunnelHTTPBidirProxy

    public I2PTunnelHTTPBidirProxy(int localPort,
                                   Logging l,
                                   I2PSocketManager sockMgr,
                                   I2PTunnel tunnel,
                                   EventDispatcher notifyThis,
                                   long clientId)

Throws:
  `IllegalArgumentException` - if the I2PTunnel does not contain valid config to contact the router

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD